# Interface ChangeEvent<T>

Raised when items are added, removed, or moved from a Collection.

interface ChangeEvent<T> {
added: T[];
moved: T[];
removed: T[];
target: Collection<T>;
}

#### Type Parameters

- T

#####
Index

### Properties

added
moved
removed
target

##
Properties

### added

added: T[]

The items that were added.

### moved

moved: T[]

The items that were moved.

### removed

removed: T[]

The items that were removed.

### target

target: Collection<T>

The Collection that raised the event.